<main class="content">
    <div class="box">
        <mat-card>
            <mat-card-header>
                <mat-card-title>Create Users</mat-card-title>
            </mat-card-header>
            <mat-card-content>
                <form>
                    <mat-grid-list cols="2" rowHeight="200px">
                        <mat-grid-tile>
                            <mat-form-field class="example-full-width">
                                <mat-label>First Name</mat-label>
                                <input matInput [(ngModel)]="data.first_name" placeholder="first name" name="firstname" required>
                            </mat-form-field>
                        </mat-grid-tile>
                        <mat-grid-tile>
                            <mat-form-field class="example-full-width">
                                <mat-label>Last Name</mat-label>
                                <input matInput [(ngModel)]="data.last_name" placeholder="last name" name="lastname" required>
                            </mat-form-field>
                        </mat-grid-tile>
                        <mat-grid-tile>
                            <mat-form-field class="example-full-width">
                                <mat-label>Tel</mat-label>
                                <input type="number" matInput [(ngModel)]="data.tel" placeholder="tel" name="tel" required>
                            </mat-form-field>
                        </mat-grid-tile>
                        <mat-grid-tile>
                            <mat-form-field>
                                <mat-label>Choose a Birthdate</mat-label>
                                <input matInput [matDatepicker]="picker" [(ngModel)]="data.birthdate" name="birthdate" required>
                                <mat-hint>MM/DD/YYYY</mat-hint>
                                <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
                                <mat-datepicker #picker></mat-datepicker>
                            </mat-form-field>
                        </mat-grid-tile>
                        <mat-grid-tile>
                            <mat-form-field class="example-full-width">
                                <mat-label>Address</mat-label>
                                <input matInput [(ngModel)]="data.address" placeholder="address" name="address" required>
                            </mat-form-field>
                        </mat-grid-tile>
                        <mat-grid-tile>
                            <mat-form-field class="example-full-width">
                                <mat-label>Email</mat-label>
                                <input type="email" matInput [(ngModel)]="data.email" placeholder="email" name="email" required>
                            </mat-form-field>
                        </mat-grid-tile>
                    </mat-grid-list>
                </form>
            </mat-card-content>
            <mat-card-actions>
                <div class="position-btn">
                    <button mat-raised-button color="primary" (click)="createUser()">save</button>
                </div>
            </mat-card-actions>
        </mat-card>

    </div>
</main>